Outil : list_merchants
Récupère la liste de tous les profils d'établissement marchand Google Pay associés au compte authentifié.
L'exemple suivant montre comment utiliser curl pour appeler l'outil MCP list_merchants.
| Requête Curl |
|---|
curl --location 'https://paydeveloper.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "list_merchants", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Schéma d'entrée
Message de requête pour la liste des marchands.
Schéma de sortie
Message de réponse pour la liste des marchands.
ListMerchantsResponse
| Représentation JSON |
|---|
{
"merchants": [
{
object ( |
| Champs | |
|---|---|
merchants[] |
Informations de base sur le marchand auquel l'utilisateur a accès. |
Marchand
| Représentation JSON |
|---|
{ "merchantId": string, "displayName": string, "regionCode": string } |
| Champs | |
|---|---|
merchantId |
Uniquement en sortie. Identifiant unique du marchand. |
displayName |
Facultatif. Nom à afficher du marchand. |
regionCode |
Facultatif. Code de région de l'établissement du marchand. Le format correspond aux codes de région CLDR Unicode, par exemple "US". |
Annotations d'outil
Indication destructive : ❌ | Indication idempotente : ✅ | Indication en lecture seule : ✅ | Indication Open World : ❌